[arch-commits] Commit in fish/repos (6 files)
Evangelos Foutras
foutrelis at archlinux.org
Thu Sep 10 02:11:30 UTC 2015
Date: Thursday, September 10, 2015 @ 04:11:30
Author: foutrelis
Revision: 139714
archrelease: copy trunk to community-staging-i686, community-staging-x86_64
Added:
fish/repos/community-staging-i686/
fish/repos/community-staging-i686/PKGBUILD
(from rev 139713, fish/trunk/PKGBUILD)
fish/repos/community-staging-i686/fish.install
(from rev 139713, fish/trunk/fish.install)
fish/repos/community-staging-x86_64/
fish/repos/community-staging-x86_64/PKGBUILD
(from rev 139713, fish/trunk/PKGBUILD)
fish/repos/community-staging-x86_64/fish.install
(from rev 139713, fish/trunk/fish.install)
---------------------------------------+
community-staging-i686/PKGBUILD | 40 ++++++++++++++++++++++++++++++++
community-staging-i686/fish.install | 19 +++++++++++++++
community-staging-x86_64/PKGBUILD | 40 ++++++++++++++++++++++++++++++++
community-staging-x86_64/fish.install | 19 +++++++++++++++
4 files changed, 118 insertions(+)
Copied: fish/repos/community-staging-i686/PKGBUILD (from rev 139713, fish/trunk/PKGBUILD)
===================================================================
--- community-staging-i686/PKGBUILD (rev 0)
+++ community-staging-i686/PKGBUILD 2015-09-10 02:11:30 UTC (rev 139714)
@@ -0,0 +1,40 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Kaiting Chen <kaitocracy at gmail.com>
+# Contributor: Abhishek Dasgupta <abhidg at gmail.com>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Jan Fader <jan.fader at web.de>
+
+pkgname=fish
+pkgver=2.2.0
+pkgrel=4
+pkgdesc='Smart and user friendly shell intended mostly for interactive use'
+url='http://fishshell.com/'
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('bc' 'gcc-libs' 'inetutils' 'ncurses' 'which')
+optdepends=('python: for manual page completion parser and web configuration tool')
+makedepends=('doxygen')
+install=fish.install
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/fish-shell/fish-shell/archive/${pkgver}.tar.gz)
+sha512sums=('a1108a8d5c96bcac1b1ced74e6f28287094fa68f28756811f6a6604bde2b4de88d7637da21874b602723fce129a407be7e24affecab468997158442af208308a')
+
+prepare() {
+ cd fish-shell-${pkgver}
+ echo ${pkgver} > version
+ autoconf -i
+}
+
+build() {
+ cd fish-shell-${pkgver}
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make
+}
+
+package() {
+ cd fish-shell-${pkgver}
+ make DESTDIR="${pkgdir}" install
+}
+
+# vim:set ts=2 sw=2 et:
Copied: fish/repos/community-staging-i686/fish.install (from rev 139713, fish/trunk/fish.install)
===================================================================
--- community-staging-i686/fish.install (rev 0)
+++ community-staging-i686/fish.install 2015-09-10 02:11:30 UTC (rev 139714)
@@ -0,0 +1,19 @@
+post_install() {
+ grep -qe '^/usr/bin/fish$' etc/shells || echo '/usr/bin/fish' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+
+ if [[ "$(vercmp $2 2.1.1)" -lt 0 ]]; then
+ echo ":: With fish 2.1.1 release, the fishd socket has changed location due"
+ echo " to security concerns. To make fish pick up the changes, kill all"
+ echo " fishd processes."
+ fi
+}
+
+pre_remove() {
+ sed -ri '\|^/usr/bin/fish$|d' etc/shells
+}
+
+# vim:set ts=2 sw=2 et:
Copied: fish/repos/community-staging-x86_64/PKGBUILD (from rev 139713, fish/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD (rev 0)
+++ community-staging-x86_64/PKGBUILD 2015-09-10 02:11:30 UTC (rev 139714)
@@ -0,0 +1,40 @@
+# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
+# Contributor: Bartłomiej Piotrowski <bpiotrowski at archlinux.org>
+# Contributor: Kaiting Chen <kaitocracy at gmail.com>
+# Contributor: Abhishek Dasgupta <abhidg at gmail.com>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Jan Fader <jan.fader at web.de>
+
+pkgname=fish
+pkgver=2.2.0
+pkgrel=4
+pkgdesc='Smart and user friendly shell intended mostly for interactive use'
+url='http://fishshell.com/'
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('bc' 'gcc-libs' 'inetutils' 'ncurses' 'which')
+optdepends=('python: for manual page completion parser and web configuration tool')
+makedepends=('doxygen')
+install=fish.install
+source=(${pkgname}-${pkgver}.tar.gz::https://github.com/fish-shell/fish-shell/archive/${pkgver}.tar.gz)
+sha512sums=('a1108a8d5c96bcac1b1ced74e6f28287094fa68f28756811f6a6604bde2b4de88d7637da21874b602723fce129a407be7e24affecab468997158442af208308a')
+
+prepare() {
+ cd fish-shell-${pkgver}
+ echo ${pkgver} > version
+ autoconf -i
+}
+
+build() {
+ cd fish-shell-${pkgver}
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make
+}
+
+package() {
+ cd fish-shell-${pkgver}
+ make DESTDIR="${pkgdir}" install
+}
+
+# vim:set ts=2 sw=2 et:
Copied: fish/repos/community-staging-x86_64/fish.install (from rev 139713, fish/trunk/fish.install)
===================================================================
--- community-staging-x86_64/fish.install (rev 0)
+++ community-staging-x86_64/fish.install 2015-09-10 02:11:30 UTC (rev 139714)
@@ -0,0 +1,19 @@
+post_install() {
+ grep -qe '^/usr/bin/fish$' etc/shells || echo '/usr/bin/fish' >> etc/shells
+}
+
+post_upgrade() {
+ post_install
+
+ if [[ "$(vercmp $2 2.1.1)" -lt 0 ]]; then
+ echo ":: With fish 2.1.1 release, the fishd socket has changed location due"
+ echo " to security concerns. To make fish pick up the changes, kill all"
+ echo " fishd processes."
+ fi
+}
+
+pre_remove() {
+ sed -ri '\|^/usr/bin/fish$|d' etc/shells
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list